Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Microscopic_Traffic_Simulator.ViewModels.IInteractions Interface Reference

Interface for interactions with user. More...

Inheritance diagram for Microscopic_Traffic_Simulator.ViewModels.IInteractions:

## Public Member Functions
bool | SaveChangesYesNoCancel ()
| Asking whether to save changes or not or if to interrupt the starting action. More...
string | GetPathToOpenTopologyFile ()
| Asking which topology file to open for loading. More...
string | GetPathToSaveTopologyFile ()
| Asking which topology file the data to be saved into. More...
string | GetPathToOpenParametersFile ()
| Asking which parameters file to open for loading. More...
string | GetPathToSaveParametersFile ()
| Asking which paramters file the data to be saved into. More...
void | ScreamErrorMessage (string errorMessage)
| Screaming error message. More...

## Detailed Description

Interface for interactions with user.

Definition at line 6 of file IInteractions.cs.

## Member Function Documentation

string Microscopic_Traffic_Simulator.ViewModels.IInteractions.GetPathToOpenParametersFile | ( |  | ) |

Asking which parameters file to open for loading.

Returns
  Path to file.

Implemented in Microscopic_Traffic_Simulator.Views.GUIInteractions.

string Microscopic_Traffic_Simulator.ViewModels.IInteractions.GetPathToOpenTopologyFile | ( |  | ) |

Asking which topology file to open for loading.

Returns
  Path to file.

Implemented in Microscopic_Traffic_Simulator.Views.GUIInteractions.

string Microscopic_Traffic_Simulator.ViewModels.IInteractions.GetPathToSaveParametersFile | ( |  | ) |

Asking which paramters file the data to be saved into.

Returns
  Path to file.

Implemented in Microscopic_Traffic_Simulator.Views.GUIInteractions.

string Microscopic_Traffic_Simulator.ViewModels.IInteractions.GetPathToSaveTopologyFile | ( |  | ) |

Asking which topology file the data to be saved into.

Returns
  Path to file.

Implemented in Microscopic_Traffic_Simulator.Views.GUIInteractions.

bool Microscopic_Traffic_Simulator.ViewModels.IInteractions.SaveChangesYesNoCancel | ( |  | ) |

Asking whether to save changes or not or if to interrupt the starting action.

Returns
  True/False/null for Yes/No/Cancel

Implemented in Microscopic_Traffic_Simulator.Views.GUIInteractions.

void Microscopic_Traffic_Simulator.ViewModels.IInteractions.ScreamErrorMessage | ( | string | errorMessage | ) |

Screaming error message.

Parameters

  errorMessage | Text of error message.

Implemented in Microscopic_Traffic_Simulator.Views.GUIInteractions.

The documentation for this interface was generated from the following file:

- Microscopic Traffic Simulator/ViewModels/IInteractions.cs